Quassel IRC - Bug #1244

Quassel is unable to store messages ending in '\'
10/07/2013 01:47 PM - brot

Status: Resolved Start date: 10/07/2013
Priority: High Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.9-pre 0S: Any

Description

Quassel is unable to store messages that end with '\' - while sending those to IRC, no Quassel user is able to see that message. The
Lodfile is the quassel.log while trying to send "test \" with 2 other Quassel users.

2013-10-07 13:41:15 Error: unhandled Error in QSqlQuery!

2013-10-07 13:41:15 Error: last Query: EXECUTE quassel_insert_message ('2013-10-7 11:41:15.761', 3044, 1, 1, 210,
'test \')

2013-10-07 13:41:15 Error: executed Query:

2013-10-07 13:41:15 Error: bound Values:

2013-10-07 13:41:15 Error: Error Number: -1

2013-10-07 13:41:15 Error: Error Message: ERROR: unterminated quoted string at or near "test \')"LINE 1: ...essage
('2013-10-7 11:41:15.761', 3044, 1, 1, 210, 'test \') A42601) QPSQL: Unable to create query
2013-10-07 13:41:15 Error: Driver Message: QPSQL: Unable to create query

2013-10-07 13:41:15 Error: DB Message: ERROR: unterminated quoted string at or near "test \')"LINE 1: ...essage
('2013-10-7 11:41:15.761', 3044, 1, 1, 210, 'test \') NN42601)

2013-10-07 13:41:15 Error: unhandled Error in QSqlQuery!

2013-10-07 13:41:15 Error: last Query: EXECUTE quassel_insert_message ('2013-10-7 11:41:15.777', 2985, 1, 0,
2883132, 'test \')

2013-10-07 13:41:15 Error: executed Query:

2013-10-07 13:41:15 Error: bound Values:

2013-10-07 13:41:15 Error: Error Number: -1

2013-10-07 13:41:15 Error: Error Message: ERROR: unterminated quoted string at or near "test \')"LINE 1: ...ge
('2013-10-7 11:41:15.777', 2985, 1, 0, 2883132, 'test \') N\(42601) QPSQL: Unable to create
query

2013-10-07 13:41:15 Error: Driver Message: QPSQL: Unable to create query

2013-10-07 13:41:15 Error: DB Message: ERROR: unterminated quoted string at or near "test \')"LINE 1: ...ge

('2013-10-7 11:41:15.777', 2985, 1, 0, 2883132, 'test \')

Quassel IRC: v0.10-pre (0.9-beta1+37 git-5d1c307*)
PostgreSQL: 9.2.4
Database has Charset UTF8, Collation/Chartype is en_US.UTF-8

Associated revisions

Revision aa1008be - 10/10/2013 10:57 PM - Marcus Eggenberger
Fixing security vulnerability with Qt 4.8.5+ and PostgreSQL.

Properly detects whether Qt performs slash escaping in SQL queries or
not, and then configures PostgreSQL accordingly. This bug was a
introduced due to a bugfix in Qt 4.8.5 disables slash escaping when
binding queries: https://bugreports.qt-project.org/browse/QTBUG-30076
Thanks to brot and Tucos.

[Fixes #1244]

Revision 27f6692c - 10/10/2013 11:19 PM - Marcus Eggenberger
Fixing security vulnerability with Qt 4.8.5+ and PostgreSQL.

Properly detects whether Qt performs slash escaping in SQL queries or
not, and then configures PostgreSQL accordingly. This bug was a
introduced due to a bugfix in Qt 4.8.5 disables slash escaping when
binding queries: https://bugreports.qt-project.org/browse/QTBUG-30076
Thanks to brot and Tucos.

[Fixes #1244]

History

#1-10/10/2013 11:19 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassellcommit:aa1008be162cb27da938cce93ba533f54d228869.
